Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.generic
Interface GroupSpaceContentControl<T extends CommunityContent>

All Superinterfaces
  ContentControlBase<T,Folder>, Serializable

All Known Subinterfaces:
  AnnouncementsControl, CM_Control<T>, FeedEntriesControl, FeedFoldersControl, FoldersControl, GsDocControl, IssuesControl, LinksControl, RichTextControl, SavedSearchControl

All Known Implementing Classes:
  AnnouncementsControlImpl, CM_ControlImpl, FeedEntriesControlImpl, FeedFoldersControlImpl, FoldersControlImpl, GroupSpaceContentControlImpl, GsDocControlImpl, IssuesControlImpl, LinksControlImpl, RichTextControlImpl, SavedSearchControlImpl

    public interface GroupSpaceContentControl<T extends CommunityContent>

extends ContentControlBase<T,Folder>, Serializable

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

This is a GroupSpace-specific control for performing CRUD operations. As such, it must be run in the web tier.

Declarative instantiation (`@Control fooControl;`) from a PageFlow or from another control is the preferred method of instantiating controls (as this will supply the control a proper Control Container Context (CCC)). Should the control be instantiated programmatically, from a different context or with an application scope (rather than webapp), extra measures should be taken:

- Application Scoped Control - must use `AppScopedControlsFactory` to obtain the CCC
- Backing File Controls - must create custom CCC to use controls from a backing file
- Servlet Test Case Controls - must include `ControlFilter` in web.xml

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`Set<T>` | `asSet(SortableFilterablePagedResult<T> pagedResults)` Convert to Set.
`Folder` | `createFolder(String name, Folder parentFolder)` This will create a folder with the default visiblity "COMMUNITY", having an owner whose username is the request principal.
`Folder` | `createFolder(String name, ID parentID)` This will create a folder with the default visiblity "COMMUNITY", having an owner whose username is the request principal.
`SortableFilterablePagedResult<T>` | `findByDescription(String description)` Returns null if none found
`SortableFilterablePagedResult<T>` | `findByTitle(String title)` Returns null if none found
`Set<T>` | `getCommunity()` Get all community-scoped data beneath the top content folder
`Set<T>` | `getCommunityAndPrivate()` returns all of the children of the top node as Type T
`Folder` | `getCommunityFolder()` Return the top node of this community.
`Set<T>` | `getPersonal()` retrieves all of the children of the user's personal folder
`Set<T>` | `getPrivate()` Get all private-scoped data beneath the top content folder for this user
`Set<ContentBase>` | `getReferencingContent(Node node)` Returns null if none found
`Set<ContentBase>` | `getReferencingContent(T thing)` For a given content item retrieves content items that reference it via a Link Property
`Set<ContentBase>` | `getRelatedContent(T thing)` Retrieves related content and returns null if none found
`void` | `promoteToCommunity(T thing, boolean promoteChildren)` Modifies the visibility of content from Private to Community
`void` | `removeCommunityAndPrivate()` removes all of the children of the top node
`void` | `removePersonal()` removes all of the children of the user's personal folder
`void` | `removePrivate()` removes all of the user's private data of type T

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### getCommunityFolder

    Folder getCommunityFolder()
                              throws InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Return the top node of this community. VISIBILITY="Community", OWNER="GroupSpace"

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### createFolder

    Folder createFolder(String name,
                        Folder parentFolder)
                        throws AuthorizationException,
                               NodeExistsException,
                               RepositoryException

  This will create a folder with the default visiblity "COMMUNITY", having an owner whose username is the request principal. Therefore, anonymous users may not create folders.

  Throws
    `RepositoryException`
    `AuthorizationException`
    `NodeExistsException` - throws ControlException - unchecked exception that wraps AuthenticationException, NoSuchObjectClassException, InstantiationException, IllegalAccessException, InvocationTargetException

### createFolder

    Folder createFolder(String name,
                        ID parentID)
                        throws AuthorizationException,
                               NodeExistsException,
                               RepositoryException

  This will create a folder with the default visiblity "COMMUNITY", having an owner whose username is the request principal. Therefore, anonymous users may not create folders.

  Throws
    `RepositoryException`
    `AuthorizationException`
    `NodeExistsException` - throws ControlException - unchecked exception that wraps AuthenticationException, NoSuchObjectClassException, InstantiationException, IllegalAccessException, InvocationTargetException

### getReferencingContent

    Set<ContentBase> getReferencingContent(Node node)
                                           throws AuthorizationException,
                                                  RepositoryException,
                                                  InstantiationException,
                                                  IllegalAccessException

  Returns null if none found

  Throws
    `RepositoryException`
    `AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException
    `InstantiationException`
    `IllegalAccessException`

### getRelatedContent

    Set<ContentBase> getRelatedContent(T thing)
                                       throws RepositoryException

  Retrieves related content and returns null if none found

  Throws
    `RepositoryException`
    `AuthorizationException`
    `NodeExistsException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### getReferencingContent

    Set<ContentBase> getReferencingContent(T thing)
                                           throws AuthorizationException,
                                                  RepositoryException,
                                                  InstantiationException,
                                                  IllegalAccessException

  For a given content item retrieves content items that reference it via a Link Property

  Throws
    `RepositoryException`
    `AuthorizationException`
    `NodeExistsException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException
    `InstantiationException`
    `IllegalAccessException`

### getPrivate

    Set<T> getPrivate()
                                               throws AuthorizationException,
                                                      NoSuchNodeException,
                                                      RepositoryException

  Get all private-scoped data beneath the top content folder for this user

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getCommunity

    Set<T> getCommunity()
                                                 throws AuthorizationException,
                                                        NoSuchNodeException,
                                                        RepositoryException

  Get all community-scoped data beneath the top content folder

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getCommunityAndPrivate

    Set<T> getCommunityAndPrivate()
                                                           throws AuthorizationException,
                                                                  NoSuchNodeException,
                                                                  RepositoryException

  returns all of the children of the top node as Type T

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeCommunityAndPrivate

    void removeCommunityAndPrivate()
                                   throws AuthorizationException,
                                          NoSuchNodeException,
                                          RepositoryException

  removes all of the children of the top node

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getPersonal

    Set<T> getPersonal()
                                                throws AuthorizationException,
                                                       NoSuchNodeException,
                                                       RepositoryException

  retrieves all of the children of the user's personal folder

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removePersonal

    void removePersonal()
                        throws AuthorizationException,
                               NoSuchNodeException,
                               RepositoryException

  removes all of the children of the user's personal folder

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removePrivate

    void removePrivate()
                       throws AuthorizationException,
                              NoSuchNodeException,
                              RepositoryException

  removes all of the user's private data of type T

  Throws
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### findByTitle

    SortableFilterablePagedResult<T> findByTitle(String title)
                                                                          throws AuthorizationException,
                                                                                 RepositoryException

  Returns null if none found

  Throws
    `RepositoryException`
    `AuthorizationException`
    `NodeExistsException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### findByDescription

    SortableFilterablePagedResult<T> findByDescription(String description)
                                                                                throws AuthorizationException,
                                                                                       RepositoryException

  Returns null if none found

  Throws
    `RepositoryException`
    `AuthorizationException`
    `NodeExistsException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### asSet

    Set<T> asSet(SortableFilterablePagedResult<T> pagedResults)

  Convert to Set. Return an empty set if nothing in pagedResults.

### promoteToCommunity

    void promoteToCommunity(T thing,
                            boolean promoteChildren)
                            throws AuthorizationException,
                                   NoSuchNodeException,
                                   RepositoryException,
                                   GSNonUniqueContentException,
                                   GSContentParentVisibilityException

  Modifies the visibility of content from Private to Community

  Throws
    `RepositoryException`
    `AuthorizationException`
    `NodeExistsException` - throws ControlException - unchecked exception that wraps AuthenticationException, NoSuchPropertyException, InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, IOException
    `NoSuchNodeException`
    `GSNonUniqueContentException`
    `GSContentParentVisibilityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved